Subject: Re: [nwcrg] [LOOPS] IETF106: LOOPS side meeting on Tuesday 08:30, Orchard Room

From: Carsten Bormann <[email-masked]>
Date: Tue, 19 Nov 2019 12:40:52 +0800

> A slide deck is at
> 
> http://tzi.de/~cabo/LOOPS-106-side.pdf

Thank you for everyone who joined!
24 people signed the attendee list, but quite a few people wandered in later.

Some highlights of the discussion were:

* There was good support in the room for focusing on single retransmission implementations (which may or may not influence the actual protocol).  For enhancing path segments where that would not suffice, maybe adding FEC is the approach leading to more timely repairs.

* It is probably worth selecting a small number of example FEC schemes as something like a recommended basis for benchmarking the protocol during development.  This might include one “simple” scheme such as SMPTE 2022 style matrix parity, even if we know the areas of application will be limited.  The most powerful schemes are likely to be patent encumbered in many jurisdictions.  Some of these patents may have run out, though.  (A thought that occurs to me after the meeting:  Maybe we should procure an FEC equivalent of RFC 6090?)

* Discussing reordering at the different levels it occurs (and robustness against it may or may not be needed) may require some more attention.

* We probably need to look more closely into how QUIC reacts to congestion signals.

Please chime in if I overlooked something worthy to highlight.  In any case, I will use Yizhou’s note-taking (thank you!) and my audio recording to produce more detailed minutes after the IETF meeting has ended.

I’m CCing NWCRG as we have a short slot on their agenda on Thursday.

Grüße, Carsten